#!/bin/sh
echo 'name: stm
version: 2.4.2
id: stm-2.4.2-b5d718b1a5f1fbcdb61a336aef0c2130

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
synopsis: Software Transactional Memory
description: A modular composable concurrency abstraction.
             .
             Changes in version 2.4.2
             .
             * Added "Control.Concurrent.STM.TSem" (transactional semaphore)
             .
             Changes in version 2.4.1
             .
             * Added Applicative/Alternative instances of STM for GHC <7.0
             .
             Changes in version 2.4
             .
             * Added "Control.Concurrent.STM.TQueue" (a faster @TChan@)
             .
             * Added "Control.Concurrent.STM.TBQueue" (a bounded channel based on @TQueue@)
             .
             * @TChan@ has an @Eq@ instances
             .
             * Added @newBroadcastTChan@ and @newBroadcastTChanIO@
             .
             * Some performance improvements for @TChan@
             .
             * Added @cloneTChan@
category: Concurrency
author:
exposed: True
exposed-modules: Control.Concurrent.STM
                 Control.Concurrent.STM.TArray Control.Concurrent.STM.TVar
                 Control.Concurrent.STM.TChan Control.Concurrent.STM.TMVar
                 Control.Concurrent.STM.TQueue Control.Concurrent.STM.TBQueue
                 Control.Concurrent.STM.TSem Control.Monad.STM
hidden-modules: Control.Sequential.STM
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/stm-2.4.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/stm-2.4.2
              /usr/local/lib
hs-libraries: HSstm-2.4.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3
         base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/stm-2.4.2/html/stm.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/stm-2.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
